Index: trunk/source/processes/hadronic/models/rpg/History
===================================================================
--- trunk/source/processes/hadronic/models/rpg/History	(revision 1007)
+++ trunk/source/processes/hadronic/models/rpg/History	(revision 1055)
@@ -15,4 +15,10 @@
    ---------------------------------------------------------------
 
+25 May 2009 - Dennis Wright (hadr-rpg-V09-02-00)
+------------------------------------------------
+G4RPGInelastic:  fix MAC complaint about initialization order:
+   remove static array of G4ParticleDefinition pointers and
+   replace with local array 
+  
  9 June 2008 - Dennis Wright (hadr-rpg-V09-01-03)
 -------------------------------------------------
Index: trunk/source/processes/hadronic/models/rpg/include/G4RPGInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/rpg/include/G4RPGInelastic.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/rpg/include/G4RPGInelastic.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4RPGInelastic.hh,v 1.3 2008/02/22 22:17:25 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4RPGInelastic.hh,v 1.4 2009/05/25 19:06:59 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: D. H. Wright
@@ -55,7 +55,5 @@
  public:  // with description
     
-   G4RPGInelastic(const G4String& modelName = "RPGInelastic") 
-    : G4HadronicInteraction(modelName)
-   { cache = 0.0;}
+   G4RPGInelastic(const G4String& modelName = "RPGInelastic"); 
     
    virtual ~G4RPGInelastic()
@@ -124,5 +122,7 @@
          lam, sp, s0, sm, xi0, xim, om, ap, an};
 
-   static G4ParticleDefinition* particleDef[18];
+ protected:
+
+   G4ParticleDefinition* particleDef[18];
 
  private:
Index: trunk/source/processes/hadronic/models/rpg/include/G4RPGNucleonInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/rpg/include/G4RPGNucleonInelastic.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/rpg/include/G4RPGNucleonInelastic.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4RPGNucleonInelastic.hh,v 1.1 2008/01/04 23:27:45 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4RPGNucleonInelastic.hh,v 1.2 2009/05/25 19:05:19 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: D. H. Wright
@@ -48,4 +48,6 @@
     
    ~G4RPGNucleonInelastic() { }
+
+   //   void printCrossSections() const;
     
  protected:
Index: trunk/source/processes/hadronic/models/rpg/include/G4RPGPionInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/rpg/include/G4RPGPionInelastic.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/rpg/include/G4RPGPionInelastic.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4RPGPionInelastic.hh,v 1.1 2008/01/05 00:14:03 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4RPGPionInelastic.hh,v 1.2 2009/05/25 19:05:34 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Author: D. H. Wright
@@ -48,4 +48,6 @@
     
    ~G4RPGPionInelastic() { }
+
+   //   void printCrossSections() const;
     
  protected:
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGInelastic.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGInelastic.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4RPGInelastic.cc,v 1.6 2008/03/22 00:03:24 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4RPGInelastic.cc,v 1.7 2009/05/25 19:07:15 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 
@@ -34,5 +34,30 @@
 #include "G4RPGTwoBody.hh"
 
- 
+
+G4RPGInelastic::G4RPGInelastic(const G4String& modelName)
+  : G4HadronicInteraction(modelName)
+{
+  cache = 0.0;
+  particleDef[0] = G4PionZero::PionZero();
+  particleDef[1] = G4PionPlus::PionPlus();
+  particleDef[2] = G4PionMinus::PionMinus();
+  particleDef[3] = G4KaonPlus::KaonPlus();
+  particleDef[4] = G4KaonMinus::KaonMinus();
+  particleDef[5] = G4KaonZero::KaonZero();
+  particleDef[6] = G4AntiKaonZero::AntiKaonZero();
+  particleDef[7] = G4Proton::Proton();
+  particleDef[8] = G4Neutron::Neutron();
+  particleDef[9] = G4Lambda::Lambda();
+  particleDef[10] = G4SigmaPlus::SigmaPlus();
+  particleDef[11] = G4SigmaZero::SigmaZero();
+  particleDef[12] = G4SigmaMinus::SigmaMinus();
+  particleDef[13] = G4XiZero::XiZero();
+  particleDef[14] = G4XiMinus::XiMinus();
+  particleDef[15] = G4OmegaMinus::OmegaMinus();
+  particleDef[16] = G4AntiProton::AntiProton();
+  particleDef[17] = G4AntiNeutron::AntiNeutron();
+}
+
+
 G4double G4RPGInelastic::Pmltpc(G4int np, G4int nm, G4int nz, 
                                 G4int n, G4double b, G4double c)
@@ -568,26 +593,4 @@
   2.4,  3.2,  4.2,   5.6,   7.5,   10.0,  13.0,  18.0,  24.0, 32.0 };
 
-G4ParticleDefinition* p0 = G4PionZero::PionZero();
-G4ParticleDefinition* p1 = G4PionPlus::PionPlus();
-G4ParticleDefinition* p2 = G4PionMinus::PionMinus();
-G4ParticleDefinition* p3 = G4KaonPlus::KaonPlus();
-G4ParticleDefinition* p4 = G4KaonMinus::KaonMinus();
-G4ParticleDefinition* p5 = G4KaonZero::KaonZero();
-G4ParticleDefinition* p6 = G4AntiKaonZero::AntiKaonZero();
-G4ParticleDefinition* p7 = G4Proton::Proton();
-G4ParticleDefinition* p8 = G4Neutron::Neutron();
-G4ParticleDefinition* p9 = G4Lambda::Lambda();
-G4ParticleDefinition* p10 = G4SigmaPlus::SigmaPlus();
-G4ParticleDefinition* p11 = G4SigmaZero::SigmaZero();
-G4ParticleDefinition* p12 = G4SigmaMinus::SigmaMinus();
-G4ParticleDefinition* p13 = G4XiZero::XiZero();
-G4ParticleDefinition* p14 = G4XiMinus::XiMinus();
-G4ParticleDefinition* p15 = G4OmegaMinus::OmegaMinus();
-G4ParticleDefinition* p16 = G4AntiProton::AntiProton();
-G4ParticleDefinition* p17 = G4AntiNeutron::AntiNeutron();
-
-G4ParticleDefinition* G4RPGInelastic::particleDef[18] = {
-  p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12, p13, p14, 
-  p15, p16, p17 };
 
 /* end of file */
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGNucleonInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGNucleonInelastic.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGNucleonInelastic.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4RPGNucleonInelastic.cc,v 1.1 2008/01/04 23:28:10 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4RPGNucleonInelastic.cc,v 1.2 2009/05/25 19:06:03 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
  
@@ -70,6 +70,30 @@
     }
   }
+  
+  //  printCrossSections();
 
 }
+
+/*
+void G4RPGNucleonInelastic::printCrossSections() const
+{
+  G4cout << " pp total cross sections (mb) " << G4endl;
+  for (G4int i = 0; i < 5; i++) {
+    G4int istart = i*6;
+    G4int istop = istart + 6;
+    for (G4int t = istart; t < istop; t++) G4cout << pPtot[t] << "  " ;
+    G4cout << G4endl;
+  }
+  G4cout << G4endl;
+
+  G4cout << " pn total cross sections (mb) " << G4endl;
+  for (G4int i = 0; i < 5; i++) {
+    G4int istart = i*6;
+    G4int istop = istart + 6;
+    for (G4int t = istart; t < istop; t++) G4cout << pNtot[t] << "  " ;
+    G4cout << G4endl;
+  }
+}
+*/
 
 
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGPionInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGPionInelastic.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGPionInelastic.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4RPGPionInelastic.cc,v 1.1 2008/01/05 00:15:12 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4RPGPionInelastic.cc,v 1.2 2009/05/25 19:05:47 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
  
@@ -71,5 +71,30 @@
   }
 
+  //  printCrossSections();
+
 }
+
+
+/*
+void G4RPGPionInelastic::printCrossSections() const
+{
+  G4cout << " pi+ p total cross sections (mb) " << G4endl;
+  for (G4int i = 0; i < 5; i++) {
+    G4int istart = i*6;
+    G4int istop = istart + 6;
+    for (G4int t = istart; t < istop; t++) G4cout << pipPtot[t] << "  " ;
+    G4cout << G4endl;
+  }
+  G4cout << G4endl;
+
+  G4cout << " pi- p total cross sections (mb) " << G4endl;
+  for (G4int i = 0; i < 5; i++) {
+    G4int istart = i*6;
+    G4int istop = istart + 6;
+    for (G4int t = istart; t < istop; t++) G4cout << pimPtot[t] << "  " ;
+    G4cout << G4endl;
+  }
+}
+*/
 
 
